using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.VerificationCode
{
    public interface IVerificationCodeRepository : IRepository
    {
        Task<Entity.VerificationCode.VerificationCode> GetAsync(SqlKata.Query query);
        Task<int> InsertAsync(Entity.VerificationCode.VerificationCode verificationCode);

        Task<bool> UpdateAsync(Entity.VerificationCode.VerificationCode verificationCode);

        Task<bool> UpdateAsync(SqlKata.Query query);
    }
}